Loading...
Searching...
No Matches
Opm::Properties::Detail::GetDefined< TypeTag, Property, std::tuple< LastTypeTag > > Struct Template Reference

## Public Types

using | LastType = Property<TypeTag, LastTypeTag>
using | type

## Member Typedef Documentation

## type

template<class TypeTag, template< class, class > class Property, class LastTypeTag>

using Opm::Properties::Detail::GetDefined< TypeTag, Property, std::tuple< LastTypeTag > >::type

Initial value:
std::conditional_t<isDefinedProperty<LastType>(int{}), LastType,
typename GetNextTypeTag<TypeTag, Property, std::tuple<LastTypeTag>, void>::type>
Opm::Properties::Detail::GetNextTypeTag
helper struct to iterate over the TypeTag hierarchy
Definition propertysystem.hh:79

The documentation for this struct was generated from the following file:

- opm/models/utils/propertysystem.hh